
D4Science Infrastructure - Task #12990

Thredds: the threddsServlet*.log files are never removed.

Dec 05, 2018 07:17 PM - Andrea Dell'Amico

Status: Closed Start date: Dec 05, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development, Pre-Production,

Production

  

Description

Also, it puts the logs into the data directory. Better move them into the tomcat logs one.

History

#1 - Dec 05, 2018 07:18 PM - Andrea Dell'Amico

thredds uses log4j, the configuration is WEB-INF/classes/log4j2.xml and the threddsServlet part misses a DefaultRolloverStrategy entry.

The file must become a template, and installed overwriting the original.

#2 - Dec 06, 2018 04:41 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#3 - Dec 06, 2018 05:07 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Done on all the instances. The log files are now located into /home/gcube/tomcat/logs/thredds/
